%define		pearname	Mail_mimeDecode
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - decode MIME messages
Summary(pl.UTF-8):	%{pearname} - dekodowanie wiadomości MIME
Name:		php-pear-%{pearname}
Version:	1.5.6
Release:	1
License:	BSD Style
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	a2d64cf970cb869ac034493ce6fa53d0
URL:		http://pear.php.net/package/Mail_mimeDecode/
BuildRequires:	php-pear-PEAR >= 1:1.6.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	php-pear
Requires:	php-pear-Mail_Mime > 1.4.0
Obsoletes:	php-pear-Mail_mimeDecode-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a class to deal with the decoding and interpreting of MIME
messages. This package used to be part of the Mail_Mime package, but
has been split off.

%description -l pl.UTF-8
Ta klasa pozwala na dekodowanie i analizę wiadomości MIME.
Funkcjonalność ta była częścią pakietu Mail_Mime, została jednak z
niego wydzielona.

%prep
%pear_package_setup

# pear/tests/pearname/tests -> pear/tests/pearname
mv ./%{php_pear_dir}/tests/%{pearname}/{tests/*,}
rmdir ./%{php_pear_dir}/tests/%{pearname}/tests

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

# not used by this package
%{__rm} $RPM_BUILD_ROOT%{php_pear_dir}/data/Mail_mimeDecode/xmail.dtd
%{__rm} $RPM_BUILD_ROOT%{php_pear_dir}/data/Mail_mimeDecode/xmail.xsl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Mail/mimeDecode.php
%changelog
* Tue Sep 06 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Mail_mimeDecode.git;a=log;h=auto/th/php-pear-Mail_mimeDecode-1.5.6-1

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> 4958e11
- up to 1.5.6

* Sun Jan 23 2011 Elan Ruusamäe <glen@pld-linux.org> 5a75049
- updated to: 1.5.5

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> dc35943
- dropped -tests subpackage

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> 10237d5
- updated to: 1.5.4

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 6b9a4ab
- ensure rpmbuild macros present

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> b0f7666
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 66dd9c2
- updated to: 1.5.1

* Tue Apr 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 886870c
- typo

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 36c0536
- rel 5

* Thu Dec 27 2007 Elan Ruusamäe <glen@pld-linux.org> 3173c4a
- rel 4

* Thu Dec 27 2007 Elan Ruusamäe <glen@pld-linux.org> 979d1b2
- dirs fixes

* Thu Sep 06 2007 Elan Ruusamäe <glen@pld-linux.org> c8916c3
- need PEAR core classes not full PEAR
- versioned requires implies conflict

* Mon Sep 03 2007 Adam Gołębiowski <adamg@pld-linux.org> add3f7a
- new

